imagepsbbox
imagepsextendfont
GD and Image Functions
PHP Manual

# imagepsencodefont

(PHP 4, PHP 5)

imagepsencodefont — Change the character encoding vector of a font

### Description

bool imagepsencodefont ( resource `$font_index` , string `$encodingfile` )

Loads a character encoding vector from a file and changes the fonts encoding vector to it. As a PostScript fonts default vector lacks most of the character positions above 127, you'll definitely want to change this if you use an other language than English.

If you find yourself using this function all the time, a much better way to define the encoding is to set ps.default_encoding in the configuration file to point to the right encoding file and all fonts you load will automatically have the right encoding.

### Parameters

`font_index`

  A font resource, returned by imagepsloadfont().

`encodingfile`

  The exact format of this file is described in T1libs documentation. T1lib comes with two ready-to-use files, IsoLatin1.enc and IsoLatin2.enc.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 imagepsencodefont() example

`<?php
// Load a .pfb font file
$font = imagepsloadfont('./px3l.pfb');
// Tell T1lib to use ISO Latin 1 encoding
imagepsencode($font, './IsoLatin1.enc');
// Do any operations with the font here
// Free the font from memory
imagepsfreefont($font);
?>`

### Notes

> Note: This function is only available if PHP is compiled using --with-t1lib[=DIR].

imagepsbbox
imagepsextendfont
GD and Image Functions
PHP Manual